Ant API: Class Jar

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Jar

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.MatchingTask
                  |
                  +--org.apache.tools.ant.taskdefs.Zip
                        |
                        +--org.apache.tools.ant.taskdefs.Jar

public class Jar
extends Zip

Creates a JAR archive.

Author:
  James Davidson duncan@x180.com

Inner classes inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`MatchingTask.NameEntry`

Fields inherited from class org.apache.tools.ant.taskdefs.Zip
`archiveType`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`excludeList, includeList, useDefaultExcludes`

Fields inherited from class org.apache.tools.ant.Task
`description, project, target`

Constructor Summary
`Jar()`

Method Summary
`protected void` | `initZipOutputStream(java.util.zip.ZipOutputStream zOut)`
`void` | `setJarfile(java.lang.String jarFilename)`
`void` | `setManifest(java.lang.String manifestFilename)`
`protected void` | `zipDir(java.io.File dir, java.util.zip.ZipOutputStream zOut, java.lang.String vPath)`
`protected void` | `zipFile(java.io.File file, java.util.zip.ZipOutputStream zOut, java.lang.String vPath)`

Methods inherited from class org.apache.tools.ant.taskdefs.Zip
`execute, setBasedir, setZipfile, zipFile`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`createExclude, createInclude, getDirectoryScanner, getProperty, setDefaultexcludes, setExcludes, setIgnore, setIncludes, setItems`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, init, setDescription, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jar

    public Jar()

Method Detail

### setJarfile

    public void setJarfile(java.lang.String jarFilename)

### setManifest

    public void setManifest(java.lang.String manifestFilename)

### initZipOutputStream

    protected void initZipOutputStream(java.util.zip.ZipOutputStream zOut)
                                throws java.io.IOException,
                                       BuildException

  Overrides:
    initZipOutputStream in class Zip

### zipDir

    protected void zipDir(java.io.File dir,
                          java.util.zip.ZipOutputStream zOut,
                          java.lang.String vPath)
                   throws java.io.IOException

  Overrides:
    zipDir in class Zip

### zipFile

    protected void zipFile(java.io.File file,
                           java.util.zip.ZipOutputStream zOut,
                           java.lang.String vPath)
                    throws java.io.IOException

  Overrides:
    zipFile in class Zip

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.